@echo off
if "%SRC%"=="" goto end
REM  Batch file to compile XDGRAPH with Salford Software compilers
REM  Uses Active TCl installation of Tcl/Tk 8.3.5
echo.
echo Compiling XDGRAPH program ...
echo.
set INCLUDE=\Programs\Tcl\include
set CFLAGS=/ansi_c /silent/windows /include %INCLUDE% /define WIN32
set CFLAGS1=/silent/windows
set TCLLIB=\Programs\Tcl\lib\tcl83.lib
set TKLIB=\Programs\Tcl\lib\tk83.lib
set DEFTK=/define TK_OUTPUT
set DEFGT=

if not "%WINDOWS%" == "/windows" goto next
echo Compiling Windows version
%CC% main.c            %CFLAGS% /define XD_DATADIR="/winxd/lib/xd" /define XD_TCLDIR="/winxd/lib/xdgraph" >> %SRC%\compile.lst
goto next1
:next
echo Compiling console version
%CC% main.c            %CFLAGS% /define XD_DATADIR="/xd2016/lib/xd" /define XD_TCLDIR="/xd2016/lib/xdgraph" >> %SRC%\compile.lst
:next1
%CC% isatty.c          %CFLAGS%    >> %SRC%\compile.lst
%CC% cmdManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% cnxManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% ctrCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% ctrEngine.c       %CFLAGS%    >> %SRC%\compile.lst
%CC% ctrManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% dlManager.c       %CFLAGS%    >> %SRC%\compile.lst
%CC% fouManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% grdManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% heiCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% heiManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% isoCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% isoEngine.c       %CFLAGS%    >> %SRC%\compile.lst
%CC% isoManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% linManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% molCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% molManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% namManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% objManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% relCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% relEngine.c       %CFLAGS%    >> %SRC%\compile.lst
%CC% relManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% segManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% setCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% setIO.c           %CFLAGS%    >> %SRC%\compile.lst
%CC% setManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% strManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% styApplyManager.c %CFLAGS%    >> %SRC%\compile.lst
%CC% styCvtManager.c   %CFLAGS%    >> %SRC%\compile.lst
%CC% styFillManager.c  %CFLAGS%    >> %SRC%\compile.lst
%CC% styManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% vieCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% vieManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% xydCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% xydManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% pltInit.c         %CFLAGS%  %DEFTK% %DEFGT% >> %SRC%\compile.lst
%CC% pltObjects.c      %CFLAGS%  %DEFTK% %DEFGT% >> %SRC%\compile.lst
%CC% pltViews.c        %CFLAGS%  %DEFTK% %DEFGT% >> %SRC%\compile.lst
%CC% pthCommand.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% pthManager.c      %CFLAGS%    >> %SRC%\compile.lst
%CC% drvTK.c           %CFLAGS%  /define XD_TK_VERSION=83  >> %SRC%\compile.lst
goto exit
%CC% drvGT.c           %CFLAGS%  /define XD_TK_VERSION=83  >> %SRC%\compile.lst
%CC% drvGTOptions.c    %CFLAGS%  /define XD_TK_VERSION=83  >> %SRC%\compile.lst
%CC% drvGTRedraw.c     %CFLAGS%  /define XD_TK_VERSION=83  >> %SRC%\compile.lst
%CC% drvGTWidget.c     %CFLAGS%  /define XD_TK_VERSION=83  >> %SRC%\compile.lst
:exit
%CC% xdMessage.c       %CFLAGS1%                           >> %SRC%\compile.lst
ftn95 setxdvar.f  >> %SRC%\compile.lst
slink *.obj %TCLLIB% %TKLIB% %LIBCXD% -file:xdgraph        >> %SRC%\compile.lst
del *.obj
move xdgraph.exe %SRC%\bin\xdgraph.exe
:exit1
set CC=
set INCLUDE=
set CFLAGS=
set CFLAGS1=
set TCLLIB=
set TKLIB=
set DEFTK=
set DEFGT=
:end
